-- NON-PC.ADA   Ver. 1.00   25-MAR-1988
-- Copyright 1988 John J. Herro
-- Software Innovations Technology
-- 1083 Mandarin Drive NE, Palm Bay, FL 32905-4706   (407)951-0233
--
-- When compiling ADA-TUTR.ADA on any computer other than a PC running Artek
-- Ada (tm, Artek Corp.), compile this first.
--
with TEXT_IO;
procedure QGET(C : out CHARACTER) is
begin
   TEXT_IO.GET(C);
end QGET;

with TEXT_IO;
package CON_IO is
   procedure GET     (ITEM : in out STRING);
   procedure PUT     (ITEM : in CHARACTER) renames TEXT_IO.PUT;
   procedure PUT     (ITEM : in STRING) renames TEXT_IO.PUT;
   procedure PUT_LINE(ITEM : in STRING) renames TEXT_IO.PUT_LINE;
   procedure NEW_LINE(SPACING: in TEXT_IO.COUNT := 1) renames TEXT_IO.NEW_LINE;
   procedure CLS;  -- Clears the screen.
end CON_IO;

package body CON_IO is

   procedure GET(ITEM : in out STRING) is
      LAST : INTEGER;
   begin
      TEXT_IO.GET_LINE(ITEM, LAST);
   end GET;

   procedure CLS is
   begin
      TEXT_IO.PUT(ASCII.ESC & "[H" & ASCII.ESC & "[2J");
   end CLS;

end CON_IO;

